Adiós al molesto error en las CPU AMD Zen 4: ¡el último parche de Linux lo soluciona!

Adiós al molesto error en las CPU AMD Zen 4: ¡el último parche de Linux lo soluciona!

El último parche de Linux acaba con un bug que afecta a las CPU AMD Zen 4

Al igual que Intel, NVIDIA y AMD son marcas líderes en procesadores y tarjetas gráficas, también hay tres sistemas operativos preponderantes: Windows, que está presente en la mayoría de los PC, seguido por MacOS en los dispositivos Apple, y Linux en último lugar. A pesar de ser menos común, Linux continúa sorprendiendo con actualizaciones y mejoras. La versión 6.6 de Linux ha recibido un parche que resuelve un error en las CPU AMD Zen 4, tanto en los Ryzen 7000 como en los EPYC 8004/9004.

El sistema operativo es fundamental para determinar el rendimiento y las funciones de un PC, por lo que la elección del mismo debe basarse en lo que ofrece. La mayoría de las personas opta por Windows, ya que es el más popular y viene instalado en casi todos los PC y portátiles, a menos que sean Chromebooks o MacBooks.

Linux 6.6 obtiene un parche para solucionar un error en las CPU AMD Zen 4

Aunque Linux es utilizado por una minoría, no tiene nada que envidiar a otros sistemas operativos. Ofrece características similares a las de Windows y MacOS, con la ventaja añadida de ser gratuito y altamente personalizable. Además, existen muchas distribuciones distintas de Linux. La adopción de este sistema operativo ha ido en aumento, especialmente con la llegada de dispositivos como la Steam Deck con SteamOS y otros portátiles para juegos.

Centrándonos en Linux, el nuevo parche soluciona un error en las CPU AMD Zen 4. Este problema se producía cuando se utilizaba uno de estos procesadores sin activar los STIBP (predictores de bifurcación indirecta de un único subproceso), que forman parte de las mitigaciones de seguridad en los procesadores AMD Zen 4. Este mecanismo protege a estas CPU de la vulnerabilidad variante 2 de Spectre y está activado por defecto, pero puede ser desactivado manualmente mediante el comando “mitigations=off” en Linux.

Cuando se desactivaba el STIBP, se generaban errores de compilación aleatorios. Este problema, conocido como Erratum #1485, ha sido solucionado gracias al parche mencionado. Las CPU AMD Zen 4, tanto en los Ryzen 7000 como en los EPYC de la serie 8004 y 9004, ahora funcionan correctamente sin errores por defecto.

Sin embargo, se recomienda encarecidamente mantener activadas todas las mitigaciones de seguridad en estas CPU y, en general, en cualquier PC. El impacto en el rendimiento suele ser mínimo, mientras que la protección contra vulnerabilidades es esencial. Aunque la corrección se encuentra en Linux 6.6 Git por ahora, se espera que se implemente en otras versiones estables del kernel de Linux pronto.

Este artículo se basa en información originalmente publicada en El Chapuzas Informático.

Contact Comprar Magazine.

Consultas al por mayor solamente.

Email: eblast@comprarmag.com
Tel: | Whatsapp:

Teléfonos móviles, tabletas, realidad virtual y más. Electrónica de consumo
distribuidor de accesorios, celulares

celulares, distribuidores de consumo electronicoDirectorio de Mayoristas y Marcas

Distribuidores de confianza que vende celulares, accesorios, videojuegos y mas!

Busque Su Producto
Nosotros solicitaremos a nuestros distribuidores de confianza para ver si lo tienen, preguenta aqui.

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply